api.js
============

[ ![Codeship Status for K0TT/api.js](https://app.codeship.com/projects/4b68b170-99a1-0134-4e07-72be295ca155/status?branch=master)](https://app.codeship.com/projects/187771)

[![codecov](https://codecov.io/gh/K0TT/api.js/branch/master/graph/badge.svg?token=RmrryFzpYr)](https://codecov.io/gh/K0TT/api.js)


api.js is a REST helper library for javascript. The purpose is to provide methods that are commonly used when dealing with REST request to and from a server.


### Installation

With bower

	bower install --save-dev apidotjs
	
With npm

	npm install --save-dev apidotjs
	
With yarn

	yarn add apidotjs --dev


### Testing

To run functional tests you need to keep the test server running while executing tests. Run

	npm start
	
To start the test server

##### Starting the test server with Docker
A Dockerfile is included at the root of the project. To start the test server with docker simply run

	docker build -t api .
	docker run --name api -p 8000:8000 -d api npm start
	
	
This command will run unit/functional tests

	gulp test
	

### Documentation

Gitbook - [api.js](https://kottur.gitbooks.io/api-js/content/)

	
### Contribution

Issue tracker: [https://github.com/K0TT/api.js/issues](https://github.com/K0TT/api.js/issues)

Contact: [doddi@kott.is](mailto:doddi@kott.is)

