'use strict';

import gulp from 'gulp';
import webpack from 'gulp-webpack';
import named from 'vinyl-named';
import * as config from './../config.js';
import * as webpack_config from './../../webpack.config.js';

gulp.task('webpack', () => {
  return gulp.src(config.js.main)
    .pipe(named())
    .pipe(webpack(webpack_config))
    .pipe(gulp.dest(config.js.dest));
});
